/* Copyright © 2026 Snorre Trehjørningen Svedman 
*  Se LICENSE.html for opphavsrett- og lisensinformasjon
*/

/* Font som benyttes */
@font-face {
    font-family: "0xProto Nerd Font Propo";
    src: url("/fonts/0xProto/0xProtoNerdFontPropo-Regular.ttf") format("ttf");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Global styling */
html {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    font-family: "0xProto Nerd Font Propo";

    background-color: #232634;
    color: white;
}

/* Elementvis styling */
#simulationHelp {
    text-align: left;
}

#startButton {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 50px;
    padding-right: 50px;
    margin: 10px;
    border-radius: 32px;
    font-size: 30px;

    background: #c6a0f6;
}

#startButton:hover {
    background: #ca9ee6;
}

#nextDayButton {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 50px;
    padding-right: 50px;
    margin: 10px;
    border-radius: 32px;
    font-size: 20px;

    background: #1e66f5;
}

#nextDayButton:hover {
    background: #8839ef;
}

#console {
    text-align: left;

    width: 500px;
    height: 200px;
    margin: 20px auto 0;
    border-radius: 8px;
    padding-left: 16px;
    padding-top: 1px;

    background-color: #cad3f5;
    color: black;
}

#footer {
    text-align: center;

    margin-top: 40px;
    font-size: 10px;
}

#licenseText {
    text-align: left;
    width: 70%;
    margin: 10px auto 0;
    font-size: 14px;
}
